Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Eclipse Projects » Maven Integration (M2E) » can't install m2eclipse on Helios
can't install m2eclipse on Helios [message #553215] Mon, 16 August 2010 13:09 Go to next message
Adam Monsen is currently offline Adam Monsen
Messages: 8
Registered: March 2010
Junior Member
I'm using Helios 20100617-1415 (64-bit Java EE version). When I try to install the Maven Integration plugin, I get:

An error occurred while collecting items to be installed
session context was:(profile=epp.package.jee, phase=org.eclipse.equinox.internal.p2.engine.phases.Collect, operand=, action=).
No repository found containing: osgi.bundle,ch.qos.logback.classic,0.9.19.v20100519-1505
No repository found containing: osgi.bundle,ch.qos.logback.core,0.9.19.v20100419-1216
No repository found containing: osgi.bundle,ch.qos.logback.slf4j,0.9.19.v20100519-1910
No repository found containing: osgi.bundle,org.eclipse.net4j.jms.api,3.0.0.v20100614-1655
No repository found containing: osgi.bundle,org.eclipse.zest.core,1.2.0.v20100525-1225
No repository found containing: osgi.bundle,org.eclipse.zest.layouts,1.1.0.v20100616-1515
No repository found containing: osgi.bundle,org.slf4j.api,1.5.11.v20100519-1910

Any ideas?

Platform: Ubuntu 10.04, 64-bit
$ java -version
java version "1.6.0_20"
Java(TM) SE Runtime Environment (build 1.6.0_20-b02)
Java HotSpot(TM) 64-Bit Server VM (build 16.3-b01, mixed mode)
Re: can't install m2eclipse on Helios [message #631908 is a reply to message #553215] Sun, 10 October 2010 08:52 Go to previous messageGo to next message
David Gehrig is currently offline David Gehrig
Messages: 1
Registered: October 2010
Junior Member
Had a similar problem, for me installing GEF/ZEST manually over the update manager (http://download.eclipse.org/tools/gef/updates/releases/) solved it.
Re: can't install m2eclipse on Helios [message #632085 is a reply to message #631908] Mon, 11 October 2010 10:02 Go to previous messageGo to next message
Adam Monsen is currently offline Adam Monsen
Messages: 8
Registered: March 2010
Junior Member
Thanks, David.

I think I just tried this again on another day and it worked.
Re: can't install m2eclipse on Helios [message #635563 is a reply to message #632085] Wed, 27 October 2010 06:59 Go to previous messageGo to next message
Pooja is currently offline Pooja
Messages: 3
Registered: October 2010
Junior Member
hello there
I am new to Eclipse Helios. I am trying to understand how to add maven that is available at http://m2eclipse.sonatype.org/sites/m2e
I pasted the link at "install new software" install, got the following software "Maven Integration for Eclipse (Required) 0.10.2.20100623-1649". At this level, it seemed that all dependencies were found but it shows the following error message while installing & fetching the software.

Cannot complete the install because one or more required items could not be found.
Software currently installed: Maven Integration for Eclipse (Required) 0.10.2.20100623-1649 (org.maven.ide.eclipse.feature.feature.group 0.10.2.20100623-1649)
Missing requirement: Java EMF Model Utilities 2.0.2.v200802192030 (org.eclipse.jem.util 2.0.2.v200802192030) requires 'bundle com.ibm.icu [3.4.4.1,4.0.0)' but it could not be found
Cannot satisfy dependency:
From: EMF Utilities 1.1.104.v200709131115 (org.eclipse.wst.common.emf 1.1.104.v200709131115)
To: bundle org.eclipse.jem.util [2.0.0,3.0.0)
Cannot satisfy dependency:
From: Maven Integration for Eclipse 0.10.2.20100623-1649 (org.maven.ide.eclipse 0.10.2.20100623-1649)
To: bundle org.eclipse.wst.common.emf 0.0.0
Cannot satisfy dependency:
From: Maven Integration for Eclipse (Required) 0.10.2.20100623-1649 (org.maven.ide.eclipse.feature.feature.group 0.10.2.20100623-1649)
To: org.maven.ide.eclipse [0.10.2.20100623-1649]

Thanks in advance
I have a similar problem [message #635721 is a reply to message #635563] Wed, 27 October 2010 16:10 Go to previous message
Ezequiel  is currently offline Ezequiel
Messages: 1
Registered: October 2010
Junior Member
Hello!

I'm new at Eclipse Forums, and I've came here because of the same problem.

I'm using Eclipse Helios (64 bit) on Windows 7, but I cannot perform the installation of M2Eclipse. The message I get is the following:

Cannot complete the install because one or more required items could not be found.

Software being installed: Maven Integration for Eclipse (Required) 0.10.2.20100623-1649 (org.maven.ide.eclipse.feature.feature.group 0.10.2.20100623-1649)

Missing requirement: Maven Integration for Eclipse (Required) 0.10.2.20100623-1649 (org.maven.ide.eclipse.feature.feature.group 0.10.2.20100623-1649) requires 'org.eclipse.emf.ecore 0.0.0' but it could not be found


It seems a bit strange that the installation requires org.eclipse.emf.ecore 0.0.0 (why that version?).

I've been looking for a place to find that requirement, but I couldn't.

Do you know where I can find that requirement, or if there is any other solution to this problem?

Thank you!
Previous Topic:How to install Maven-Nar plugin?
Next Topic:Maven Implementation help needed
Goto Forum:
  


Current Time: Wed Apr 16 03:26:13 EDT 2014

Powered by FUDForum. Page generated in 0.02317 seconds